[clamav-users] ClamAV yum update fails on Amazon AMI ...

Micah Snyder (micasnyd) micasnyd at cisco.com
Tue Jan 22 12:39:12 EST 2019


Hi Chris,

I haven't tried using the Amazon Linux packages.  If no one else here has prior ClamAV experience using the Amazon Linux packages, you should be able to get help or report package issues on the Amazon Linux AMI forums:

>From https://aws.amazon.com/amazon-linux-ami/faqs/#contact :

Q: How do I report bugs or make feature and package requests?
We use the Amazon EC2 Discussion Forum<https://forums.aws.amazon.com/forum.jspa?forumID=30> for bug reports, feature requests, and package requests. These forums are monitored by AWS Developer Support as well as the Amazon Linux AMI engineering team.

-Micah



On Jan 21, 2019, at 5:26 PM, Chris Jobson <chris at jobsonfamily.org<mailto:chris at jobsonfamily.org>> wrote:

I have ClamAV 0.99 installed on an amazon AMI, and whenI try and upgrade I get failures:


Error: Package: clamav-server-0.99.4-1.30.amzn1.x86_64 (amzn-updates)

           Requires: clamav-filesystem = 0.99.4-1.30.amzn1

           Removing: clamav-filesystem-0.99.4-1.29.amzn1.noarch (@amzn-main)

               clamav-filesystem = 0.99.4-1.29.amzn1

           Updated By: clamav-filesystem-0.100.2-2.35.amzn1.noarch (amzn-updates)

               clamav-filesystem = 0.100.2-2.35.amzn1

           Available: clamav-filesystem-0.99.4-1.30.amzn1.noarch (amzn-updates)

               clamav-filesystem = 0.99.4-1.30.amzn1

Error: Package: clamav-scanner-sysvinit-0.99.4-1.30.amzn1.noarch (amzn-updates)

           Requires: clamav-scanner = 0.99.4-1.30.amzn1

           Removing: clamav-scanner-0.99.4-1.29.amzn1.noarch (@amzn-main)

               clamav-scanner = 0.99.4-1.29.amzn1

           Obsoleted By: clamd-0.100.2-2.35.amzn1.x86_64 (amzn-updates)

               clamav-scanner = 0.100.2-2.35.amzn1

           Updated By: clamav-scanner-0.99.4-1.30.amzn1.noarch (amzn-updates)

               clamav-scanner = 0.99.4-1.30.amzn1

Error: Package: clamav-scanner-sysvinit-0.99.4-1.30.amzn1.noarch (amzn-updates)

           Requires: clamav-server-sysvinit = 0.99.4-1.30.amzn1

           Removing: clamav-server-sysvinit-0.99.4-1.29.amzn1.noarch (@amzn-main)

               clamav-server-sysvinit = 0.99.4-1.29.amzn1

           Obsoleted By: clamd-0.100.2-2.35.amzn1.x86_64 (amzn-updates)

               clamav-server-sysvinit = 0.100.2-2.35.amzn1

           Updated By: clamav-server-sysvinit-0.99.4-1.30.amzn1.noarch (amzn-updates)

               clamav-server-sysvinit = 0.99.4-1.30.amzn1

Error: Package: clamav-scanner-0.99.4-1.30.amzn1.noarch (amzn-updates)

           Requires: group(virusgroup)

           Removing: clamav-filesystem-0.99.4-1.29.amzn1.noarch (@amzn-main)

               group(virusgroup)

           Updated By: clamav-filesystem-0.100.2-2.35.amzn1.noarch (amzn-updates)

               Not found

           Available: clamav-filesystem-0.99.4-1.30.amzn1.noarch (amzn-updates)

               group(virusgroup)


How do I resolve this?

thanks

Chris

_______________________________________________
clamav-users mailing list
clamav-users at lists.clamav.net<mailto:clamav-users at lists.clamav.net>
http://lists.clamav.net/cgi-bin/mailman/listinfo/clamav-users


Help us build a comprehensive ClamAV guide:
https://github.com/vrtadmin/clamav-faq

http://www.clamav.net/contact.html#ml

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.clamav.net/pipermail/clamav-users/attachments/20190122/2a823acf/attachment.html>


More information about the clamav-users mailing list